repodiff(1)

BEZEICHNUNG
repodiff - Unterschiede zwischen zwei oder mehreren Yum-Paketquellen auflisten

ÜBERSICHT
repodiff --old=Basisadresse_alte_Quelle --new=Basisadresse_neue_Quelle

BESCHREIBUNG

repodiff ist ein Programm, das Unterschiede zwischen zwei Paketquellen anzeigt. Beachten Sie, dass per Vorgabe nur Quellpakete berücksichtigt werden.

ALLGEMEINE OPTIONEN

--old, -o
    gibt eine Paketquelle als alte Quelle an.

--new, -n
    gibt eine Paketquelle als neue Quelle an.

--archlist, -a
    fügt Architekturen hinzu, anstatt lediglich Quellpakete zu vergleichen. Beachten Sie, dass Sie, wenn beispielsweise die Architektur »x86_64« gewünscht ist, nur diese Zeichenkette eingeben müssen. Das steht im Gegensatz zu früheren Versionen, in denen bei Eingabe von »x86_64,athlon,i686,i586,i486,i386,noarch« die »src« trotzdem berücksichtigt wurde.

--size, -s
    gibt zusätzliche Informationen über den Umfang der Änderungen aus.

--compare-arch
    Normalerweise werden Pakete einfach anhand ihres Namens verglichen. Dieser Schalter sorgt dafür, dass auch die Architektur einbezogen wird. Auf diese Weise werden bla.i386 und bla.x86_64 als unterschiedlich erkannt.

BEISPIELE

Quellpakete in zwei lokalen Paketquellen vergleichen:
    repodiff --old=/tmp/repo-alt --new=/tmp/repo-neu

Vergleich von zwei x86_64-kompatiblen Binärpaketen in zwei fernen Paketquellen und zwei lokalen Quellen:
    repodiff -a x86_64 --old=http://example.com/Quelle1-alt --old=/tmp/Quelle-alt --new=http://example.com/Quelle1-neu --new=/tmp/Quelle-neu

Vergleich von zwei x86_64-kompatiblen Binärpaketen, wobei auch die Architektur berücksichtigt wird:
    repodiff -a x86_64 --compare-arch --old=http://example.com/Quelle1-alt --old=/tmp/Quelle-alt --new=http://example.com/Quelle1-neu --new=/tmp/Quelle-neu

SIEHE AUCH
yum.conf(5)
http://yum.baseurl.org/

AUTOREN
Lesen Sie die mit diesem Programm gelieferte Autorenliste.

FEHLER
Es gibt natürlich keine Fehler, sollten Sie dennoch einen entdecken, ziehen Sie zuerst den Abschnitt der häufig gestellten Fragen auf http://yum.baseurl.org/wiki/Faq zu Rate. Sollten Sie dort keine Lösung finden, kontaktieren Sie die (englischsprachige) Mailingliste auf yum-devel@lists.baseurl.org. Für Fehlermeldungen benutzen Sie http://bugzilla.redhat.com für Fehler in Fedora/RHEL/Centos und http://yum.baseurl.org/report für sonstige Fehler.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.